Package it.ernytech.tdlib

## Class TdApi.AuthenticationCodeTypeFlashCall

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.AuthenticationCodeType
    - - it.ernytech.tdlib.TdApi.AuthenticationCodeTypeFlashCall

Enclosing class:
  TdApi

    public static class TdApi.AuthenticationCodeTypeFlashCall
    extends TdApi.AuthenticationCodeType

An authentication code is delivered by an immediately cancelled call to the specified phone number. The number from which the call was made is the code.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `pattern` Pattern of the phone number from which the call will be made.

### Constructor Summary

Constructors
`AuthenticationCodeTypeFlashCall()` Default constructor.
`AuthenticationCodeTypeFlashCall​(java.lang.String pattern)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### pattern

    public java.lang.String pattern

Pattern of the phone number from which the call will be made.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AuthenticationCodeTypeFlashCall

    public AuthenticationCodeTypeFlashCall()

Default constructor.

#### AuthenticationCodeTypeFlashCall

    public AuthenticationCodeTypeFlashCall​(java.lang.String pattern)

Constructor for initialization of all fields.

Parameters:
  `pattern` - Pattern of the phone number from which the call will be made.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR